Package org.codehaus.groovy.runtime.callsite

## Class CallSiteAwareMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

- All Implemented Interfaces:
    `java.lang.Cloneable`
  Direct Known Subclasses:
    `ArrayMetaMethod`, `NumberNumberMetaMethod`

      public abstract class CallSiteAwareMetaMethod
      extends MetaMethod

- - ### Field Summary

    - ### Fields inherited from class groovy.lang.MetaMethod

      `EMPTY_ARRAY`

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallSiteAwareMetaMethod()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract CallSite` | `createPojoCallSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)` |

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallSiteAwareMetaMethod

          public CallSiteAwareMetaMethod()

  - ### Method Detail

    - #### createPojoCallSite

          public abstract CallSite createPojoCallSite​(CallSite site,
                                                      MetaClassImpl metaClass,
                                                      MetaMethod metaMethod,
                                                      java.lang.Class[] params,
                                                      java.lang.Object receiver,
                                                      java.lang.Object[] args)